./print/libspectre, Small library for rendering Postscript documents

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.2.8, Package name: libspectre-0.2.8, Maintainer: markd

libspectre is a small library for rendering Postscript documents. It provides a
convenient easy to use API for handling and rendering Postscript documents.


Required to run:
[print/ghostscript]

Required to build:
[pkgtools/x11-links] [pkgtools/cwrappers]

Master sites:

SHA1: 322499a5ba8874bc0cc20426b0e429024bf1a573
RMD160: a07bc0a8d852e2eb0da746af30eb1d8b9a3af080
Filesize: 411.905 KB

Version history: (Expand)


CVS history: (Expand)


   2017-02-27 10:58:13 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
Updated libspectre to 0.2.8.

libspectre 0.2.8 (01 July 2016)
===============================

This is another bugfix only release in the libspectre's 0.2 series.

Marek fixed the document rotation with newer versions of Ghostscript (Bug #76450)

Build was also broken with Ghostscript >= 9.18 and has been fixed.

Fixed a compile warning due to a comparison of integers of different
signs reported by Daniel Macks when building on OS X (Bug #56476)

Makefiles were updated to properly use CPPFLAGS instead of CFLAGS as
suggested by Daniel Macks (Bug #56481)
   2016-03-05 12:29:49 by Jonathan Perkin | Files touched by this commit (1813) | Package updated
Log message:
Bump PKGREVISION for security/openssl ABI bump.
   2015-12-10 13:03:41 by Mark Davies | Files touched by this commit (3)
Log message:
gs 9.18 renamed error namespace, but provides no good way of testing the
version number so allow for both old and new names by testing the guard
define of the gserrors.h that appeared at the same point.
   2015-11-04 02:03:03 by Alistair G. Crooks | Files touched by this commit (1194)
Log message:
Add SHA512 digests for distfiles for print category

Problems found locating distfiles:
	Package acroread7: missing distfile AdobeReader_enu-7.0.9-1.i386.tar.gz
	Package acroread8: missing distfile AdobeReader_enu-8.1.7-1.sparc.tar.gz
	Package cups-filters: missing distfile cups-filters-1.1.0.tar.xz
	Package dvidvi: missing distfile dvidvi-1.0.tar.gz
	Package lgrind: missing distfile lgrind.tar.bz2

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-04-22 00:28:36 by Blue Rats | Files touched by this commit (1)
Log message:
Fix HOMEPAGE.
   2014-02-13 00:18:57 by Matthias Scheler | Files touched by this commit (1568)
Log message:
Recursive PKGREVISION bump for OpenSSL API version bump.
   2013-06-05 00:17:35 by Matthias Scheler | Files touched by this commit (1946)
Log message:
Try to fix the fallout caused by the fix for PR pkg/47882. Part 3:

Recursively bump package revisions again after the "freetype2" and
"fontconfig" handling was fixed.
   2013-06-03 12:06:28 by Thomas Klausner | Files touched by this commit (1948)
Log message:
Bump freetype2 and fontconfig dependencies to current pkgsrc versions,
to address issues with NetBSD-6(and earlier)'s fontconfig not being
new enough for pango.

While doing that, also bump freetype2 dependency to current pkgsrc
version.

Suggested by tron in PR 47882